org.apache.torque.generator.control

## Class Checksums

- java.lang.Object
- - org.apache.torque.generator.control.Checksums

-     public class Checksums
      extends Object

  Stores Checksums and dates of the checksums, keyed by a String.
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Checksums()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getChecksum(String name)`
    `Map<String,byte[]>` | `getChecksums()`
    `Date` | `getModificationDate(String name)`
    `Map<String,Date>` | `getModificationDates()`
    `Checksums` | `readFromFile(File toReadFrom)`
    `Checksums` | `setChecksum(String name, byte[] checksum)`
    `Checksums` | `setModificationDate(String name, Date modificationDate)`
    `Checksums` | `writeToFile(File toWriteTo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Checksums

          public Checksums()

  - ### Method Detail

    - #### getChecksum

          public byte[] getChecksum(String name)

    - #### setChecksum

          public Checksums setChecksum(String name,
                                       byte[] checksum)

    - #### getChecksums

          public Map<String,byte[]> getChecksums()

    - #### getModificationDate

          public Date getModificationDate(String name)

    - #### setModificationDate

          public Checksums setModificationDate(String name,
                                               Date modificationDate)

    - #### getModificationDates

          public Map<String,Date> getModificationDates()

    - #### writeToFile

          public Checksums writeToFile(File toWriteTo)
                                throws IOException

      Throws:
        `IOException`

    - #### readFromFile

          public Checksums readFromFile(File toReadFrom)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.